<?php

/**
 * This file is part of the authbucket/oauth2-php package.
 *
 * (c) Wong Hoi Sing Edison <hswong3i@pantarei-design.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace AuthBucket\OAuth2\Model;

/**
 * OAuth2 refresh token interface.
 *
 * @author Wong Hoi Sing Edison <hswong3i@pantarei-design.com>
 */
interface RefreshTokenInterface extends ModelInterface
{
    /**
     * Set refresh_token.
     *
     * @param string $refreshToken
     *
     * @return RefreshToken
     */
    public function setRefreshToken($refreshToken);

    /**
     * Get refresh_token.
     *
     * @return string
     */
    public function getRefreshToken();

    /**
     * Set client_id.
     *
     * @param string $clientId
     *
     * @return RefreshToken
     */
    public function setClientId($clientId);

    /**
     * Get client_id.
     *
     * @return string
     */
    public function getClientId();

    /**
     * Set username.
     *
     * @param string $username
     *
     * @return RefreshToken
     */
    public function setUsername($username);

    /**
     * Get username.
     *
     * @return string
     */
    public function getUsername();

    /**
     * Set expires.
     *
     * @param int $expires
     *
     * @return RefreshToken
     */
    public function setExpires($expires);

    /**
     * Get expires.
     *
     * @return int
     */
    public function getExpires();

    /**
     * Set scope.
     *
     * @param array $scope
     *
     * @return RefreshToken
     */
    public function setScope($scope);

    /**
     * Get scope.
     *
     * @return array
     */
    public function getScope();
}
